Description

I stumbled upon a piece of software, that sets the compiler flag -DDEBUG, if compiled as Debug, not Release. When using this
software and RSC this breaks with the current naming of RSC logger levels (being ALL, TRACE, DEBUG and so on). Setting this
compiler flag is not too rarely I think, so I suggest to give the logger levels a less generic name with a lower probability of producing a
conflict, e.g. DEBUG => RSC_DEBUG or similar.
Any opinions on that?

Associated revisions
Revision dcbe3dbf - 08/23/2011 05:32 PM - Arne Nordmann 

Changed member names of logger level enumeration ('DEBUG'->'LEVEL_DEBUG', 'TRACE'->'LEVEL_TRACE', ...) due to #518.
Might break some depending implementations.
fixes #518

History
#1 - 08/22/2011 04:55 PM - J. Wienke

Narf, they are already in a namespace, class and enum... The preprocessor is evil...
https://code.cor-lab.org/projects/rsc/repository/entry/trunk/rsc/src/rsc/logging/Logger.h

I would propose LEVEL_XXX

#2 - 08/23/2011 05:32 PM - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r337.
